Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Class PlatformSupportServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.agent.JasException
                  javax.agent.service.ServiceException
                      com.ibm.able.platform.PlatformSupportServiceException

All Implemented Interfaces:
  java.io.Serializable

public class PlatformSupportServiceException
extends javax.agent.service.ServiceException

PlatformSupportServiceException is the generic exception associated with the ABLE Platform Support Service.

Since:
  ABLE 2.2.0
See Also:
  Serialized Form

Constructor Summary
`PlatformSupportServiceException()` Creates a PlatformSupportServiceException with no message.
`PlatformSupportServiceException(java.lang.String theMessage)` Creates a PlatformSupportServiceException with the specified message.
`PlatformSupportServiceException(java.lang.String theMessage, java.lang.Exception theException)` Creates a PlatformSupportServiceException with the specified message and embedded exception.

Methods inherited from class javax.agent.JasException
`getCause, getMessage, initCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlatformSupportServiceException

    public PlatformSupportServiceException()

  Creates a PlatformSupportServiceException with no message.

### PlatformSupportServiceException

    public PlatformSupportServiceException(java.lang.String theMessage)

  Creates a PlatformSupportServiceException with the specified message.

Parameters:
  `theMessage` - The detail message.

### PlatformSupportServiceException

    public PlatformSupportServiceException(java.lang.String theMessage,
                                           java.lang.Exception theException)

  Creates a PlatformSupportServiceException with the specified message and embedded exception.

Parameters:
  `theMessage` - The detail message.
  `theException` - The embedded exception.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005